%global modname resumable
%global srcname resumable-urlretrieve
%global sum     Small library to fetch files over HTTP and resume their download

Name:          python-%{srcname}
Summary:       %{sum}
URL:           https://pypi.python.org/pypi/%{srcname}
License:       MIT

Version:       0.1.5
Release:       3%{?dist}
Source0:       https://files.pythonhosted.org/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:     noarch

%description
Small library to fetch files over HTTP and resuming their download.


%package -n python3-%{srcname}
Summary:       %{sum}

BuildRequires: python3-devel
# For the unit tests
BuildRequires: python3-pytest
BuildRequires: python3-rangehttpserver
BuildRequires: python3-requests

Requires:      python3-requests

%description -n python3-%{srcname}
%{description}


%prep
%setup -q -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
PYTHONPATH=. py.test-3


%files -n python3-%{srcname}
%doc README.md
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}*.egg-info


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Mar 17 2017 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5 (#1433337)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 19 2017 Mathieu Bridon <bochecha@daitauha.fr> - 0.1.4-1
- New upstream version, which now includes the README file (which contains the
  license text).

* Mon Dec 12 2016 Mathieu Bridon <bochecha@daitauha.fr> - 0.1.3-1
- New upstream version.

* Sat Oct 15 2016 Mathieu Bridon <bochecha@daitauha.fr> - 0.1.2-1
- New upstream version.
- Add the test requirements, and properly run the tests.

* Thu Jan 28 2016 Mathieu Bridon <bochecha@daitauha.fr> - 0.1.1-1
- Initial package for Fedora.
